drop table if exists ldefs cascade;
create table ldefs(
	ldef_name varchar(128) not null,
	ldef_description text,
	constraint ldefs_ldef_name_pkey primary key( ldef_name )
);

comment on table ldefs is 'storage of language definitions';
comment on column ldefs.ldef_name is 'name of the language definition';
comment on column ldefs.ldef_description is 'description of the language definition';

drop table if exists ldef_defs cascade;
create table ldef_defs(
	ldef_name varchar(128) not null references ldefs( ldef_name ),
	site_language_id integer not null references languages( language_id ),
	def text
);
